Bug 1733375 - attempting to copy and save a service dialog with the same name results in dialog fields being duplicated
Summary: attempting to copy and save a service dialog with the same name results in di...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.3
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.10.8
Assignee: Martin Hradil
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1713100
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-25 20:50 UTC by Satoe Imaishi
Modified: 2019-12-09 11:56 UTC (History)
10 users (show)

Fixed In Version: 5.10.8.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1713100
Environment:
Last Closed: 2019-08-13 08:35:55 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2466 None None None 2019-08-13 08:35:56 UTC

Comment 2 CFME Bot 2019-07-25 21:16:30 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/cda974949fcae6df3fdc54347a76dcdc433cc3c2
commit cda974949fcae6df3fdc54347a76dcdc433cc3c2
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Thu Jul 25 06:04:05 2019 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Thu Jul 25 06:04:05 2019 -0400

    Merge pull request #5856 from himdel/dialog-copy

    Dialog copy - remove ids pointing to the original dialog

    (cherry picked from commit 9c807596ac916a4356662aef891c57589791780e)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1733375

 app/assets/javascripts/controllers/dialog_editor/dialog_editor_controller.js | 16 +
 1 file changed, 16 insertions(+)

Comment 3 Niyaz Akhtar Ansari 2019-07-31 08:56:59 UTC
Verified in Version 5.10.8.0.20190729222758_e725e22

Comment 5 errata-xmlrpc 2019-08-13 08:35:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2466


Note You need to log in before you can comment on or make changes to this bug.